MockBuilder (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.test.mock
[Groovy] Class MockBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.FactoryBuilderSupport
                  griffon.test.mock.MockBuilder

    class MockBuilder
    extends FactoryBuilderSupport

Trivial mplementation of FactoryBuilderSupport that register a single node: mock.

Authors:
  Andres Almiray

Field Summary

Fields inherited from class FactoryBuilderSupport
CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME

Constructor Summary
`MockBuilder(boolean init = true)`

Method Summary
`def` | `registerMock()` Registers a 'mock' node that returns a Map

Methods inherited from class FactoryBuilderSupport
setProperty, getProperty, getName, getContext, dispose, build, build, build, getParentNode, invokeMethod, invokeMethod, getVariable, setVariable, getVariables, getCurrent, registerFactory, registerFactory, registerBeanFactory, registerBeanFactory, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, autoRegisterNodes, getFactories, getExplicitMethods, getExplicitProperties, getLocalFactories, getLocalExplicitMethods, getLocalExplicitProperties, getRegistrationGroups, getRegistrationGroupItems, getAttributeDelegates, getPreInstantiateDelegates, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getContextAttribute, getCurrentFactory, getCurrentName, getCurrentBuilder, getParentFactory, getParentContext, getParentName, getChildBuilder, addAttributeDelegate, removeAttributeDelegate, addPreInstantiateDelegate, removePreInstantiateDelegate, addPostInstantiateDelegate, removePostInstantiateDelegate, addPostNodeCompletionDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, registerExplicitMethod, registerExplicitMethod, getNameMappingClosure, setNameMappingClosure, withBuilder, withBuilder, withBuilder, addDisposalClosure, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Binding
setProperty, getProperty, getVariable, setVariable, getVariables, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MockBuilder

    MockBuilder(boolean init = true)

Method Detail

### registerMock

    def registerMock()

  Registers a 'mock' node that returns a Map

Groovy Documentation